You are not logged in.

#376 2012-04-21 11:48:04

OrangeRoot1000
Member
From: TN -- USA
Registered: 2008-08-07
Posts: 106
Website

Re: gnome 3.4beta2 in gnome-unstable

@wonder

Okay I updated clutter-gtk and now I'm back to were I was a week or so ago. I am unable to access Online Accounts and System Settings. The cursor just clocks.

Note, I did log out of Gnome and then log back in.

gkey

Offline

#377 2012-04-21 11:54:42

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

OrangeRoot1000 wrote:

@wonder

Okay I updated clutter-gtk and now I'm back to were I was a week or so ago. I am unable to access Online Accounts and System Settings. The cursor just clocks.

Note, I did log out of Gnome and then log back in.

gkey

that's a mesa bug, please report it


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#378 2012-04-21 12:35:35

OrangeRoot1000
Member
From: TN -- USA
Registered: 2008-08-07
Posts: 106
Website

Re: gnome 3.4beta2 in gnome-unstable

@wonder


Done...
I did notice that the mesa-demos and lib32-mesa-demos do not match the current version numbers of the rest of files installed for mesa.

https://bugs.freedesktop.org/show_bug.cgi?id=49039

Offline

#379 2012-04-21 12:37:16

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

well, you reported the bug without having clutter-gtk updated. THAT IS THE BUG not the old when cogl soname is missing.

Tell what happens when you have all packages up to date


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#380 2012-04-21 12:51:49

OrangeRoot1000
Member
From: TN -- USA
Registered: 2008-08-07
Posts: 106
Website

Re: gnome 3.4beta2 in gnome-unstable

Ooppsss My Bad...

I made a correction to clarify that I am actually using the newest available version of clutter-gtk available.

You know this is the second time I have jumped up to "testing" to help with Gnome bug squashing. I've learned a lot this time around. Along with changelogs made, and what not. It feels like a sense of accomplishment that I made an active contribution to the community at large.

gkey

Offline

#381 2012-04-21 14:27:30

Taylor001
Member
Registered: 2009-12-07
Posts: 36

Re: gnome 3.4beta2 in gnome-unstable

wonder wrote:
Taylor001 wrote:

Hey, wonder:

I've investigated about the SIGILL in epiphany. I think it's libwebkit3's fault since gnome-online-accounts (which uses it) crashes as well.

can you please rebuild libwebkit and epiphany with debug symbols and get a backtrace?

https://wiki.archlinux.org/index.php/De … tings_only

  CXX    Source/WebCore/svg/libWebCore_la-SVGScriptElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGSetElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStopElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStringList.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStylable.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStyledElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStyledLocatableElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStyledTransformableElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGStyleElement.lo
  CXX    Source/WebCore/svg/libWebCore_la-SVGSVGElement.lo
virtual memory exhausted: Cannot allocate memory
make[1]: *** [Source/WebCore/svg/libWebCore_la-SVGSVGElement.lo] Error 1
make[1]: Leaving directory `/home/dani/abs/libwebkit/src/webkit-1.8.0/build-gtk2'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

And it took ~3.5 hours. big_smile!

Offline

#382 2012-04-21 16:03:18

beta990
Member
Registered: 2011-07-10
Posts: 168

Re: gnome 3.4beta2 in gnome-unstable

Any ETA update? Going to do a new install today. big_smile

Thanks!

Last edited by beta990 (2012-04-21 16:03:27)

Offline

#383 2012-04-21 17:37:02

malevolent
Member
From: Barcelona
Registered: 2011-09-20
Posts: 13
Website

Re: gnome 3.4beta2 in gnome-unstable

Now testing GNOME 3.4.1-1 After enable both network and networkmanager I can surf the Internet, but network applet doesn't work.
New gnome shell is far better than G-S 3.2 in search results terms. (i.e.: now, if a contact is blocked in gmail, it doesn't show his/her contact card when typing (nice)) Also can use Windows Live, if any of you are still using that.
gnome-shell Is also more beautiful, using black transparencies, instead the uglier white-adwaita old ones.
Some extensions stopped working (as expected), another are meaning to work, but they really doesn't work at all (and they are enabled and can be installed through extensions.gnome.org)

I love the look of gnome-boxes, It seems very promising that perhaps gnome 3.6 will have some theme tuning (or a default black theme).
I couldn't install boxes btw, some errors compiling gtk-vnc-git I cannot get rid...

Offline

#384 2012-04-21 18:17:26

Caspian
Member
Registered: 2007-05-22
Posts: 201

Re: gnome 3.4beta2 in gnome-unstable

Guys i would like to install 3.4.1 from testing. What would your suggestions be to do before the upgrade (which folder to delete, etc.)? Thanks in advance.

Offline

#385 2012-04-21 19:12:34

Taylor001
Member
Registered: 2009-12-07
Posts: 36

Re: gnome 3.4beta2 in gnome-unstable

#0  0xa8ee52a2 in ?? ()
#1  0xb56c7666 in JSC::Interpreter::execute(JSC::ProgramExecutable*, JSC::ExecState*, JSC::ScopeChainNode*, JSC::JSObject*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#2  0xb5794321 in JSC::evaluate(JSC::ExecState*, JSC::ScopeChainNode*, JSC::SourceCode const&, JSC::JSValue, JSC::JSValue*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#3  0xb7c75704 in ?? () from /usr/lib/libwebkitgtk-3.0.so.0
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

All I found by recompiling epiphany.
It would be great If someone on i686 could recompile libwebkit3 too.

Offline

#386 2012-04-21 20:06:35

Caspian
Member
Registered: 2007-05-22
Posts: 201

Re: gnome 3.4beta2 in gnome-unstable

I've installed the 3.4.1 from testing but it seems like boxes aren't available?

Offline

#387 2012-04-21 20:14:01

kjell
Member
From: Norway
Registered: 2012-03-26
Posts: 97

Re: gnome 3.4beta2 in gnome-unstable

Caspian wrote:

I've installed the 3.4.1 from testing but it seems like boxes aren't available?

I believe the dev said he didn't include, as maintaining the libvirt stuff was a PITA (pain in the arse).

Offline

#388 2012-04-21 20:32:56

Caspian
Member
Registered: 2007-05-22
Posts: 201

Re: gnome 3.4beta2 in gnome-unstable

Thanks for the answer kjell. I've noticed one more thing, I can't seem to change the time in Date and Time Settings. I unlock it and change the time in the opened window but the time doesn't change...

Offline

#389 2012-04-21 20:47:55

kjell
Member
From: Norway
Registered: 2012-03-26
Posts: 97

Re: gnome 3.4beta2 in gnome-unstable

Caspian wrote:

Thanks for the answer kjell. I've noticed one more thing, I can't seem to change the time in Date and Time Settings. I unlock it and change the time in the opened window but the time doesn't change...

No problem big_smile

I think you'll find some info on the time date issue  earlier in the thread...(has to do with systemd if i recall).

Offline

#390 2012-04-22 11:09:34

Caspian
Member
Registered: 2007-05-22
Posts: 201

Re: gnome 3.4beta2 in gnome-unstable

I've installed the user-theme extension from the gnome extensions web page, but gnome tweak always says that the extension is incorrectly installed. And the system-monitors reports error while installing. I don't know if these are extension problems or gnome build issues. Suggestions?

Offline

#391 2012-04-22 11:33:36

jackgu1988
Member
Registered: 2010-11-16
Posts: 39

Re: gnome 3.4beta2 in gnome-unstable

Caspian wrote:

I've installed the user-theme extension from the gnome extensions web page, but gnome tweak always says that the extension is incorrectly installed. And the system-monitors reports error while installing. I don't know if these are extension problems or gnome build issues. Suggestions?

Did you install it from extensions.gnome.org or AUR?

Offline

#392 2012-04-22 12:22:11

Caspian
Member
Registered: 2007-05-22
Posts: 201

Re: gnome 3.4beta2 in gnome-unstable

@jackgu1988: My post above clearly states that I've installed the extension "from the gnome extensions web page" wink

Offline

#393 2012-04-22 13:11:26

jackgu1988
Member
Registered: 2010-11-16
Posts: 39

Re: gnome 3.4beta2 in gnome-unstable

Caspian wrote:

@jackgu1988: My post above clearly states that I've installed the extension "from the gnome extensions web page" wink

oops sorry, that was before I had some coffee smile Does anyone else have the same problem? If you had installed the same plugin from AUR before, maybe not all files were removed if you uninstalled it and there are conflicts. Also, check ~/.local/share/gnome-shell/extensions and see if there are any leftovers of the extension there. Not sure if this will help but just an idea. I am on gnome 3.2 so I can't check if the problem exists.

Offline

#394 2012-04-22 14:28:14

hoschi
Member
From: Ulm (Germany)
Registered: 2008-11-03
Posts: 358
Website

Re: gnome 3.4beta2 in gnome-unstable

Caspian wrote:

Guys i would like to install 3.4.1 from testing. What would your suggestions be to do before the upgrade (which folder to delete, etc.)? Thanks in advance.


Keeping the files, can lead to weird problems which cost you a lot of time. Sometime it works, but I delete them now always. Especially Evolution hast cost me days of my life, with migration problems.

* It is safe
* Good reason for a backup :-)
* You will see the default of Gnome (Background, Icons, Font, Font-Size, Settings...) and compare it to your favourite-settings

Offline

#395 2012-04-22 16:05:33

mx_joao
Member
From: Brasil
Registered: 2011-12-02
Posts: 22

Re: gnome 3.4beta2 in gnome-unstable

hoschi wrote:
Caspian wrote:

Guys i would like to install 3.4.1 from testing. What would your suggestions be to do before the upgrade (which folder to delete, etc.)? Thanks in advance.


Keeping the files, can lead to weird problems which cost you a lot of time. Sometime it works, but I delete them now always. Especially Evolution hast cost me days of my life, with migration problems.

* It is safe
* Good reason for a backup :-)
* You will see the default of Gnome (Background, Icons, Font, Font-Size, Settings...) and compare it to your favourite-settings

How to upgrade without my configs? Which files do i delete?

Offline

#396 2012-04-22 17:31:49

Caspian
Member
Registered: 2007-05-22
Posts: 201

Re: gnome 3.4beta2 in gnome-unstable

jackgu1988 wrote:
Caspian wrote:

@jackgu1988: My post above clearly states that I've installed the extension "from the gnome extensions web page" wink

oops sorry, that was before I had some coffee smile Does anyone else have the same problem? If you had installed the same plugin from AUR before, maybe not all files were removed if you uninstalled it and there are conflicts. Also, check ~/.local/share/gnome-shell/extensions and see if there are any leftovers of the extension there. Not sure if this will help but just an idea. I am on gnome 3.2 so I can't check if the problem exists.

I've already deleted all of the old extenisons, both from ~.local/share/gnome-shell/extensions and from /usr/share/gnome-shell/extensions.
Is anyone else experiencing this with user-theme or system-monitor extensions on the 3.4.1 from testing?

Offline

#397 2012-04-22 19:35:59

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

Taylor001 wrote:
#0  0xa8ee52a2 in ?? ()
#1  0xb56c7666 in JSC::Interpreter::execute(JSC::ProgramExecutable*, JSC::ExecState*, JSC::ScopeChainNode*, JSC::JSObject*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#2  0xb5794321 in JSC::evaluate(JSC::ExecState*, JSC::ScopeChainNode*, JSC::SourceCode const&, JSC::JSValue, JSC::JSValue*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#3  0xb7c75704 in ?? () from /usr/lib/libwebkitgtk-3.0.so.0
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

All I found by recompiling epiphany.
It would be great If someone on i686 could recompile libwebkit3 too.

here is webkit. http://pkgbuild.com/~ioni/webkit/


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#398 2012-04-22 20:01:19

jackgu1988
Member
Registered: 2010-11-16
Posts: 39

Re: gnome 3.4beta2 in gnome-unstable

Caspian wrote:
jackgu1988 wrote:
Caspian wrote:

@jackgu1988: My post above clearly states that I've installed the extension "from the gnome extensions web page" wink

oops sorry, that was before I had some coffee smile Does anyone else have the same problem? If you had installed the same plugin from AUR before, maybe not all files were removed if you uninstalled it and there are conflicts. Also, check ~/.local/share/gnome-shell/extensions and see if there are any leftovers of the extension there. Not sure if this will help but just an idea. I am on gnome 3.2 so I can't check if the problem exists.

I've already deleted all of the old extenisons, both from ~.local/share/gnome-shell/extensions and from /usr/share/gnome-shell/extensions.
Is anyone else experiencing this with user-theme or system-monitor extensions on the 3.4.1 from testing?

By reading the comments on the extensions website I found out that this issue is related to the extension and not shell. Ubuntu has it as well.

Solution (by lordix):

schemas folder, into the extension folder.
# cp org.gnome.shell.extensions.user-theme.gschema.xml /usr/share/glib-2.0/schemas
# glib-compile-schemas /usr/share/glib-2.0/schemas

EDIT (maybe more helpful post for some - by cluke009):

The fix from lordix seems to work in ubuntu 12.04 beta 2. Had to modify it a bit though. You need copy from your home directory and be sudo for this to work. A straight copy and paste wont do the trick. sudo cp /home/USERNAME/.local/share/gnome-shell/extensions/user-theme@gnome-shell-extensions.gcampax.github.com/schemas/org.gnome.shell.extensions.user-theme.gschema.xml /usr/share/glib-2.0/schemas sudo glib-compile-schemas /usr/share/glib-2.0/schemas

Last edited by jackgu1988 (2012-04-22 20:02:55)

Offline

#399 2012-04-22 20:18:55

c-id
Member
From: Chile
Registered: 2011-06-28
Posts: 4

Re: gnome 3.4beta2 in gnome-unstable

jackgu1988 wrote:
Caspian wrote:
jackgu1988 wrote:

oops sorry, that was before I had some coffee smile Does anyone else have the same problem? If you had installed the same plugin from AUR before, maybe not all files were removed if you uninstalled it and there are conflicts. Also, check ~/.local/share/gnome-shell/extensions and see if there are any leftovers of the extension there. Not sure if this will help but just an idea. I am on gnome 3.2 so I can't check if the problem exists.

I've already deleted all of the old extenisons, both from ~.local/share/gnome-shell/extensions and from /usr/share/gnome-shell/extensions.
Is anyone else experiencing this with user-theme or system-monitor extensions on the 3.4.1 from testing?

By reading the comments on the extensions website I found out that this issue is related to the extension and not shell. Ubuntu has it as well.

Solution (by lordix):

schemas folder, into the extension folder.
# cp org.gnome.shell.extensions.user-theme.gschema.xml /usr/share/glib-2.0/schemas
# glib-compile-schemas /usr/share/glib-2.0/schemas

EDIT (maybe more helpful post for some - by cluke009):

The fix from lordix seems to work in ubuntu 12.04 beta 2. Had to modify it a bit though. You need copy from your home directory and be sudo for this to work. A straight copy and paste wont do the trick. sudo cp /home/USERNAME/.local/share/gnome-shell/extensions/user-theme@gnome-shell-extensions.gcampax.github.com/schemas/org.gnome.shell.extensions.user-theme.gschema.xml /usr/share/glib-2.0/schemas sudo glib-compile-schemas /usr/share/glib-2.0/schemas

The problem is gnome-tweak-tool.
Searches the schemas /usr/share/glib-2.0/schemas and not in the user's home folder

Offline

#400 2012-04-22 20:33:03

Taylor001
Member
Registered: 2009-12-07
Posts: 36

Re: gnome 3.4beta2 in gnome-unstable

wonder wrote:
Taylor001 wrote:
#0  0xa8ee52a2 in ?? ()
#1  0xb56c7666 in JSC::Interpreter::execute(JSC::ProgramExecutable*, JSC::ExecState*, JSC::ScopeChainNode*, JSC::JSObject*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#2  0xb5794321 in JSC::evaluate(JSC::ExecState*, JSC::ScopeChainNode*, JSC::SourceCode const&, JSC::JSValue, JSC::JSValue*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#3  0xb7c75704 in ?? () from /usr/lib/libwebkitgtk-3.0.so.0
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

All I found by recompiling epiphany.
It would be great If someone on i686 could recompile libwebkit3 too.

here is webkit. http://pkgbuild.com/~ioni/webkit/

Program received signal SIGILL, Illegal instruction.
0xabd2c6a2 in ?? ()
(gdb) bt
#0  0xabd2c6a2 in ?? ()
#1  0xb5674666 in JSC::Interpreter::execute(JSC::ProgramExecutable*, JSC::ExecState*, JSC::ScopeChainNode*, JSC::JSObject*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#2  0xb5741321 in JSC::evaluate(JSC::ExecState*, JSC::ScopeChainNode*, JSC::SourceCode const&, JSC::JSValue, JSC::JSValue*) ()
   from /usr/lib/libjavascriptcoregtk-3.0.so.0
#3  0xb7c74704 in WebCore::JSInspectorFrontendHost::port(JSC::ExecState*)::port () from /usr/lib/libwebkitgtk-3.0.so.0
#4  0xb691fb6b in WebCore::ScriptController::evaluateInWorld(WebCore::ScriptSourceCode const&, WebCore::DOMWrapperWorld*) ()
   from /usr/lib/libwebkitgtk-3.0.so.0
#5  0xbffff30c in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Offline

Board footer

Powered by FluxBB